/*
 * DemosceneMusic - ServletRequest.java - Copyright © 2012 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.demoscenemusic.page;

import java.net.URI;
import java.net.URISyntaxException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;

import net.pterodactylus.util.web.Method;
import net.pterodactylus.util.web.Request;

/**
 * TODO
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class ServletRequest extends Request {

	private final HttpServletRequest servletRequest;
	private final HttpServlet servlet;

	/**
	 * @param uri
	 * @param method
	 * @throws URISyntaxException
	 */
	public ServletRequest(javax.servlet.http.HttpServletRequest servletRequest, HttpServlet servlet) throws URISyntaxException {
		super(new URI(servletRequest.getRequestURI()), Method.valueOf(servletRequest.getMethod().toUpperCase()));
		this.servletRequest = servletRequest;
		this.servlet = servlet;
	}

	/**
	 * @return the servletRequest
	 */
	public HttpServletRequest getServletRequest() {
		return servletRequest;
	}

	/**
	 * @return the servlet
	 */
	public HttpServlet getServlet() {
		return servlet;
	}

}
